summaryrefslogtreecommitdiff
path: root/configure.ac
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2020-01-15 19:41:05 +0100
committerFlorian Dold <florian.dold@gmail.com>2020-01-15 19:41:05 +0100
commit5177efb74f9301bbffd79d63f47eb78611e6abba (patch)
tree3b934e877911bb4d40fceca920ef70e272f19488 /configure.ac
parent9f36b6e9ef86d595b229c1c8f0671b63a18bdc03 (diff)
remove Taler-specific leftovers, we don't need them anymore
Diffstat (limited to 'configure.ac')
-rw-r--r--configure.ac42
1 files changed, 6 insertions, 36 deletions
diff --git a/configure.ac b/configure.ac
index 98bd4ca70..23ca78dbb 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1026,23 +1026,6 @@ AC_CHECK_LIB([kvm],[kvm_open])
AC_CHECK_LIB([kstat],[kstat_open])
-# should the build process be restricted to the code required
-# for GNU Taler wallets?
-AC_MSG_CHECKING(whether to compile GNU Taler Wallet library ONLY)
-AC_ARG_ENABLE([taler-wallet],
- [AS_HELP_STRING([--enable-taler-wallet], [only compile for Taler wallet])],
- [taler_only=${enableval}],
- [taler_only=no])
-AC_MSG_RESULT($taler_only)
-AS_IF([test "x$taler_only" = "xyes"],
-[
- AM_CONDITIONAL([TALER_ONLY],true)
- AC_DEFINE([TALER_WALLET_ONLY],[1],[Compiling for Taler wallet])
-],[
- AM_CONDITIONAL([TALER_ONLY],false)
- AC_DEFINE([TALER_WALLET_ONLY],[0],[Canonical compilation])
-])
-
# test for libextractor
extractor=0
AC_MSG_CHECKING(for libextractor)
@@ -1081,9 +1064,6 @@ AS_IF([test "$extractor" != 1],
])
-AS_IF([test "$taler_only" != yes],[
-
-
# Check for libltdl header (#2999)
ltdl=0
AC_MSG_CHECKING(for libltdl)
@@ -1250,10 +1230,6 @@ AS_IF([test "$enable_shared" = "no"],
LIBS=$SAVE_LIBS
-# end of taler-only being false
-])
-
-
# check for iconv
AM_ICONV
@@ -1262,12 +1238,8 @@ gl_LIBUNISTRING
AS_IF([test $HAVE_LIBUNISTRING != yes],
[AC_MSG_ERROR([GNUnet requires libunistring])])
-# under emscripten, $gl_libunistring_hexversion is undefined
-if test "$taler_only" != yes; then
-
AS_IF([test "x$gl_libunistring_hexversion" = "x" || test "$gl_libunistring_hexversion" -le 2305],
[AC_MSG_ERROR([GNUnet requires libunistring >= 0.9.1.1])])
-fi
AC_CHECK_HEADERS([unistr.h],
,
AC_MSG_ERROR([Compiling GNUnet requires unistr.h (from libunistring) to be installed]))
@@ -1340,14 +1312,12 @@ CPPFLAGS=$SAVE_CPPFLAGS
# test for postgres:
postgres=false
-# even running the check for postgres breaks emscripten
-AS_IF([test "$taler_only" != yes],
- [AX_LIB_POSTGRESQL([9.5],
- [CPPFLAGS="$CPPFLAGS $POSTGRESQL_CPPFLAGS"
- AC_CHECK_HEADERS([libpq-fe.h],
- postgres=true)
- ],
- [AC_MSG_RESULT([no postgres])])])
+AX_LIB_POSTGRESQL([9.5],
+ [CPPFLAGS="$CPPFLAGS $POSTGRESQL_CPPFLAGS"
+ AC_CHECK_HEADERS([libpq-fe.h],
+ postgres=true)
+ ],
+ [AC_MSG_RESULT([no postgres])])
AM_CONDITIONAL(HAVE_POSTGRESQL, test x$postgres = xtrue)
AS_IF([test "x$postgres" = xtrue],